#!/bin/sh

appName='beampad'

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: control.sh [P [A]]'
  echo 'Parameters:'
  echo '  P   PV prefix (default: "ioc23:")'
  echo '  A   Beam position adjuster name (default: "Bpa3")'
  echo 'Example: control.sh'
  echo 'Example: control.sh ioc1: Bpa1'
  exit 0
fi

pvPrefix='ioc23:'
if [ "X$1" != 'X' ]; then pvPrefix="$1"; fi
adjusterName='Bpa3'
if [ "X$2" != 'X' ]; then adjusterName="$2"; fi

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Error: failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Error: failed to get current working directory.' 1>&2
  exit 1
fi

cd "../${appName}App/op/adl"
if [ $? -ne 0 ]; then
  echo -n 'Error: failed to cd to ' 1>&2
  echo "\"$thisScriptHome/../${appName}App/op/adl\"." 1>&2
  exit 1
fi

exec medm -x -macro "P=$pvPrefix,A=$adjusterName" ./beampad-with-pnr.adl
